# RuntimeHintDescriptor class abstract interface

Abstract interface which provides all the RuntimeHints that are registered with JetLeaf's reflection system.

This interface is implemented by a concrete registry that collects RuntimeHints, typically populated by generated code or user-defined RuntimeHintProcessor implementations.

## Example

    class MyRegistry extends RuntimeHintDescriptor {
      final _descriptors = <Type, RuntimeHint>{};

      @override
      void addRuntimeHintDescriptors(List<RuntimeHint> descriptors) {
        for (var d in descriptors) {
          _descriptors[d.type] = d;
        }
      }

      @override
      void addRuntimeHintDescriptor(RuntimeHint descriptor) {
        _descriptors[descriptor.type] = descriptor;
      }
    }

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

addRuntimeHint(RuntimeHint hint) → void
  Adds a single RuntimeHint value to the system.
addRuntimeHints(List<RuntimeHint> hints) → void
  Adds multiple RuntimeHint values to the system.
getRuntimeHints() → Map<Type, RuntimeHint>
  Returns a map of `Type` to RuntimeHint for all registered descriptors.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited